export type PetBasicAction = 'UNKNOWN' | 'FEED' | 'PLAY' | 'SLEEP';
export type PetGatherAction = 'IDLE' | 'GATHERING_WISDOM' | 'GATHERING_GOLD' | 'GATHERING_FOOD' | 'EXPLORE' | 'BATTLE';

export interface PetUpdateActionRequest {
    basicAction?: PetBasicAction;
    gatherAction?: PetGatherAction;
}

export interface PetActionGathered {
    petId: string;
    resource: string;
    itemId: number;
    amount: number;
    gameItem: PetGatheredItem;
}

export interface PetGatheredItem {
    id: number;
    name: number;
    type: string;
    rarity: string;
}